using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace qk30ic;

public class Form3 : Form
{
	private IContainer components = null;

	private TextBox textBox1;

	private Button button1;

	private Button button2;

	private Label label1;

	public Form3()
	{
		InitializeComponent();
	}

	private void button1_Click(object sender, EventArgs e)
	{
		Form1.QRdata = textBox1.Text;
		Form1.MFresult = 10u;
		Form1.QRresult = 1u;
	}

	private void button2_Click(object sender, EventArgs e)
	{
		Form1.MFCODE = textBox1.Text;
		Form1.MFresult = 0u;
		Form1.QRresult = 0u;
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		this.textBox1 = new System.Windows.Forms.TextBox();
		this.button1 = new System.Windows.Forms.Button();
		this.button2 = new System.Windows.Forms.Button();
		this.label1 = new System.Windows.Forms.Label();
		base.SuspendLayout();
		this.textBox1.Location = new System.Drawing.Point(33, 40);
		this.textBox1.Name = "textBox1";
		this.textBox1.Size = new System.Drawing.Size(459, 19);
		this.textBox1.TabIndex = 0;
		this.button1.Location = new System.Drawing.Point(33, 75);
		this.button1.Name = "button1";
		this.button1.Size = new System.Drawing.Size(116, 23);
		this.button1.TabIndex = 1;
		this.button1.Text = "QRコード";
		this.button1.UseVisualStyleBackColor = true;
		this.button1.Click += new System.EventHandler(button1_Click);
		this.button2.Location = new System.Drawing.Point(33, 104);
		this.button2.Name = "button2";
		this.button2.Size = new System.Drawing.Size(116, 23);
		this.button2.TabIndex = 2;
		this.button2.Text = "Tag";
		this.button2.UseVisualStyleBackColor = true;
		this.button2.Click += new System.EventHandler(button2_Click);
		this.label1.AutoSize = true;
		this.label1.Location = new System.Drawing.Point(31, 18);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(56, 12);
		this.label1.TabIndex = 3;
		this.label1.Text = "コード入力";
		base.AutoScaleDimensions = new System.Drawing.SizeF(6f, 12f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(572, 148);
		base.Controls.Add(this.label1);
		base.Controls.Add(this.button2);
		base.Controls.Add(this.button1);
		base.Controls.Add(this.textBox1);
		base.Name = "Form3";
		this.Text = "QR/タグコード入力";
		base.ResumeLayout(false);
		base.PerformLayout();
	}
}
